/*============================================================================
  File:     VLF Optimization - Northwind Walkthrough.sql

  Summary:  This script shows the process for removing excessive VLFs within 
			a database's transaction logs.

  Date:     November 2005

  Version:	SQL Server 2005 RTM
------------------------------------------------------------------------------
  Copyright (C) 2005 Kimberly L. Tripp, SYSolutions, Inc.
  All rights reserved.

  For additional scripts and sample code:
	http://www.SQLskills.com

  This script is intended only as a supplement to demos and lectures
  given by Kimberly L. Tripp.  
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

USE Northwind
go
SET NOCOUNT ON
go

CREATE TABLE dbo.DemoTable
(
	col1	int	 identity(100,10),
	col2	datetime default current_timestamp,
	col3	datetime default getdate(),
	col4	char(30) default suser_name(),
	col5	char(30) default user_name(),
	col6	char(80) default 'Now is the time for all good men to come to the aid of their country.'
)
go
SELECT * FROM dbo.DemoTable
go

-- To perform the INSERTs as individual transactions...
-- WHILE 1=1
-- INSERT dbo.DemoTable DEFAULT VALUES
go

-- To perform the INSERT as a single tran - REMEMBER, *you* must stop this!
BEGIN TRAN
WHILE 1=1
INSERT dbo.DemoTable DEFAULT VALUES
-- after this executes for a couple of minutes then stop the loop and commit
COMMIT TRAN
go
