/*============================================================================
  File:     SQL2005-FragmentationInNonClusteredIndexes.sql

  Summary:  This script works as a self-paced exercise to see the impact
			of fragmentation through a series of modifications. This script
			focuses on the impact of modifications on the non-clustered
			indexes. If you want to see the impact of fragmentation on 
			clustered indexes, see the 
			SQL2005-CLIndexRebuildWalkthrough.sql script.

  Date:     November 2005

  Version:	SQL Server 2005 RTM
------------------------------------------------------------------------------
  Copyright (C) 2005 Kimberly L. Tripp, SYSolutions, Inc.
  All rights reserved.

  For additional scripts and sample code:
	http://www.SQLskills.com

  This script is intended only as a supplement to demos and lectures
  given by Kimberly L. Tripp.  
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

USE Credit
go

sp_dbcmptlevel credit, 90 
go

SELECT * 
FROM sys.dm_db_index_physical_stats
	(db_id('Credit')
	, object_id('Credit.dbo.member2')
	, NULL
	, NULL
	, 'LIMITED')
go

INSERT member2
SELECT lastname
	,firstname
	,middleinitial
	,street
	,city
	,state_prov
	,country
	,mail_code
	,phone_no
	,photograph
	,issue_dt
	,expr_dt
	,region_no
	,corp_no
	,prev_balance
	,curr_balance
	,member_code
FROM member
WHERE member_no % 11 = 0

ALTER INDEX Member2NameInd ON Member2 REBUILD
	WITH (ONLINE = ON, FILLFACTOR = 90)

sp_helpindex Member2
go